Package com.io7m.jtensors.storage.api.unparameterized.vectors

# Interface VectorStorageIntegral4Type

All Superinterfaces:
  `VectorReadable2LType`, `VectorReadable3LType`, `VectorReadable4LType`, `VectorStorageIntegral2Type`, `VectorStorageIntegral3Type`, `VectorStorageType`

All Known Subinterfaces:
  `PVectorByteBufferedIntegral4Type<T>`, `PVectorStorageIntegral4Type<T>`, `VectorByteBufferedIntegral4Type`

All Known Implementing Classes:
  `PVectorByteBufferedIntegral4s16`, `PVectorByteBufferedIntegral4s32`, `PVectorByteBufferedIntegral4s64`, `PVectorByteBufferedIntegral4s8`, `PVectorMutable4L`, `VectorByteBufferedIntegral4s16`, `VectorByteBufferedIntegral4s32`, `VectorByteBufferedIntegral4s64`, `VectorByteBufferedIntegral4s8`, `VectorMutable4L`

public interface VectorStorageIntegral4Type extends VectorReadable4LType, VectorStorageIntegral3Type
The type of mutable 4D integral number vectors.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `setVector4I(Vector4I v)`
  Set the components from the given vector.
  `default void`
  `setVector4L(Vector4L v)`
  Set the components from the given vector.
  `void`
  `setW(long w)`
  Set the `w` component.
  `default void`
  `setXYZW(long x, long y, long z, long w)`
  Set the `x`, `y`, `z`, and `w` components.

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2LType

  `x, y`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3LType

  `z`

  ### Methods inherited from interface com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4LType

  `w`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral2Type

  `setVector2I, setVector2L, setX, setXY, setY`

  ### Methods inherited from interface com.io7m.jtensors.storage.api.unparameterized.vectors.VectorStorageIntegral3Type

  `setVector3I, setVector3L, setXYZ, setZ`

- ## Method Details

  - ### setVector4L

    default void setVector4L(Vector4L v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setVector4I

    default void setVector4I(Vector4I v)
    Set the components from the given vector.
    Parameters:
      `v` - The source vector

  - ### setW

    void setW(long w)
    Set the `w` component.
    Parameters:
      `w` - The W component

  - ### setXYZW

    default void setXYZW(long x, long y, long z, long w)
    Set the `x`, `y`, `z`, and `w` components.
    Parameters:
      `x` - The X component
      `y` - The Y component
      `z` - The Z component
      `w` - The W component